Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 214006 - Typical upgrade install should allow the user to change the admin domain
Typical upgrade install should allow the user to change the admin domain
Status: CLOSED NEXTRELEASE
Product: 389
Classification: Retired
Component: Install/Uninstall (Show other bugs)
1.0.4
All All
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 09:01 EST by Graham Leggett
Modified: 2015-01-04 18:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 11:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2006-11-04 09:01:01 EST
This bug relates to v1.0.3 of FDS.

If an attempt is made to set up a new directory server, and including this
server into an existing domain, and typical setup is used: The setup program
will ask for the machine name, the port, the username and the password.

At this point the following error message is thrown:

Could not find the Admin Domain domain.com in the server

The error message is correct - the admin domain is something different. At this
point the most logical course of action would be to ask the end user what the
admin domain should be, but instead of this the setup loops around and asks the
for the machine, port, username and password again, as if the admin domain has
somehow changed in the mean time.

This loops around ad nauseus until you press ctrl-c.

The workaround is to select "custom install", but custom install breaks further
on in the install process.

As a result, it is currently impossible to setup an FDS v1.0.3 server and attach
it to an existing admin domain.
Comment 1 Rich Megginson 2006-11-14 17:03:47 EST
Typical install does not let you choose the Admin Domain.  The problem with
Advanced install looping forever was fixed in FDS 1.0.4:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214243
Comment 2 Graham Leggett 2006-11-14 17:59:37 EST
Obviously typical install doesn't let you choose the admin domain - this is the bug!

If the admin domain is not found, obviously the admin domain is not what setup
thinks it should be, and the only logical course of action is to ask the user to
specify the admin domain.

Expecting the user to have a priori knowledge that aborting the install and
selecting "custom install" is the solution to their problem is an unreasonable
solution to this problem.
Comment 3 Rich Megginson 2006-11-14 18:56:33 EST
(In reply to comment #2)
> Obviously typical install doesn't let you choose the admin domain - this is
the bug!

The code is intentionally designed not to allow you to specify a different admin
domain during Typical install:
ux-dialog.cc:askMCDNNext()
...
		else if ((getManager(me)->installType() < Custom) &&
// the code that looks for the previously entered admin domain and errors

I guess the thought at the time was that only advanced installation would ever
need to change or use a non-default admin domain.  But I haven't been able to
find this information in the install guides.

> 
> If the admin domain is not found, obviously the admin domain is not what setup
> thinks it should be, and the only logical course of action is to ask the user to
> specify the admin domain.
> 
> Expecting the user to have a priori knowledge that aborting the install and
> selecting "custom install" is the solution to their problem is an unreasonable
> solution to this problem.

So I'm going to submit this as an enhancement request.

Typical upgrade install should allow the user to change the admin domain.  If
the user has chosen a non-default admin domain during the first install, and
specified a non-default admin domain (which Typical mode allows), then Typical
mode upgrade install should also allow the user to specify a non-default admin
domain rather than just printing an error and refusing to install.
Comment 4 Rich Megginson 2007-10-05 11:06:49 EDT
This is fixed in the new setup code for Fedora DS 1.1

Note You need to log in before you can comment on or make changes to this bug.